import Cookies from 'js-cookie'

const TokenKey = 'Admin-Token'

export function getToken() {
  return Cookies.get("userToken")
}

export function setToken(token,time) {
  //return Cookies.set(TokenKey, token)
  //把秒转换成天
  const secondsUntilExpiry = time;
  const daysUntilExpiry = secondsUntilExpiry / (24 * 60 * 60);
  Cookies.set("userToken",token,{expires:daysUntilExpiry})
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}
